Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPPolyDataReader Class Reference

`#include <vtkXMLPPolyDataReader.h>`

Inheritance diagram for vtkXMLPPolyDataReader:

[legend]
Collaboration diagram for vtkXMLPPolyDataReader:

[legend]
List of all members.

## Detailed Description

Read PVTK XML PolyData files.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkXMLPPolyDataReader reads the PVTK XML PolyData file format. This reads the parallel format's summary file and then uses vtkXMLPolyDataReader to read data from the individual PolyData piece files. Streaming is supported. The standard extension for this reader's file format is "pvtp".

See also:
  vtkXMLPolyDataReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLPPolyDataReader.h)`
  - .`cxx` (`/IO/vtkXMLPPolyDataReader.cxx)`

Definition at line 49 of file vtkXMLPPolyDataReader.h.

## Public Types
typedef vtkXMLPUnstructuredDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (vtkPolyData *output)
vtkPolyData * | GetOutput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPPolyDataReader * | SafeDownCast (vtkObject *o)
vtkXMLPPolyDataReader * | New ()
## Protected Methods
| vtkXMLPPolyDataReader ()
| ~vtkXMLPPolyDataReader ()
const char * | GetDataSetName ()
void | GetOutputUpdateExtent (int &piece, int &numberOfPieces, int &ghostLevel)
vtkIdType | GetNumberOfCellsInPiece (int piece)
vtkIdType | GetNumberOfVertsInPiece (int piece)
vtkIdType | GetNumberOfLinesInPiece (int piece)
vtkIdType | GetNumberOfStripsInPiece (int piece)
vtkIdType | GetNumberOfPolysInPiece (int piece)
void | SetupOutputTotals ()
void | SetupOutputData ()
void | SetupNextPiece ()
int | ReadPieceData ()
void | CopyArrayForCells (vtkDataArray *inArray, vtkDataArray *outArray)
vtkXMLDataReader * | CreatePieceReader ()
## Protected Attributes
vtkIdType | TotalNumberOfVerts
vtkIdType | TotalNumberOfLines
vtkIdType | TotalNumberOfStrips
vtkIdType | TotalNumberOfPolys
vtkIdType | StartVert
vtkIdType | StartLine
vtkIdType | StartStrip
vtkIdType | StartPoly

## Member Typedef Documentation

typedef vtkXMLPUnstructuredDataReader vtkXMLPPolyDataReader::Superclass

| Reimplemented from vtkXMLPUnstructuredDataReader. Definition at line 52 of file vtkXMLPPolyDataReader.h.

## Constructor & Destructor Documentation

vtkXMLPPolyDataReader::vtkXMLPPolyDataReader | ( |  | ) | `[protected]`

vtkXMLPPolyDataReader::~vtkXMLPPolyDataReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPPolyDataReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPUnstructuredDataReader.

int vtkXMLPPolyDataReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPUnstructuredDataReader.

virtual int vtkXMLPPolyDataReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPUnstructuredDataReader.

vtkXMLPPolyDataReader* vtkXMLPPolyDataReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPUnstructuredDataReader.

void vtkXMLPPolyDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPUnstructuredDataReader.

vtkXMLPPolyDataReader* vtkXMLPPolyDataReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkXMLPPolyDataReader::SetOutput | ( | vtkPolyData * | output | ) |

| Get/Set the reader's output.

vtkPolyData* vtkXMLPPolyDataReader::GetOutput | ( |  | ) |

| Get/Set the reader's output.

const char* vtkXMLPPolyDataReader::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

void vtkXMLPPolyDataReader::GetOutputUpdateExtent | ( | int & | piece,
|  | int & | numberOfPieces,
|  | int & | ghostLevel
| ) | `[protected, virtual]`

| Implements vtkXMLPUnstructuredDataReader.

vtkIdType vtkXMLPPolyDataReader::GetNumberOfCellsInPiece | ( | int | piece | ) | `[protected]`

vtkIdType vtkXMLPPolyDataReader::GetNumberOfVertsInPiece | ( | int | piece | ) | `[protected]`

vtkIdType vtkXMLPPolyDataReader::GetNumberOfLinesInPiece | ( | int | piece | ) | `[protected]`

vtkIdType vtkXMLPPolyDataReader::GetNumberOfStripsInPiece | ( | int | piece | ) | `[protected]`

vtkIdType vtkXMLPPolyDataReader::GetNumberOfPolysInPiece | ( | int | piece | ) | `[protected]`

void vtkXMLPPolyDataReader::SetupOutputTotals | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPUnstructuredDataReader.

void vtkXMLPPolyDataReader::SetupOutputData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPUnstructuredDataReader.

void vtkXMLPPolyDataReader::SetupNextPiece | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPUnstructuredDataReader.

int vtkXMLPPolyDataReader::ReadPieceData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPUnstructuredDataReader.

void vtkXMLPPolyDataReader::CopyArrayForCells | ( | vtkDataArray * | inArray,
|  | vtkDataArray * | outArray
| ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

vtkXMLDataReader* vtkXMLPPolyDataReader::CreatePieceReader | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

## Member Data Documentation

vtkIdType vtkXMLPPolyDataReader::TotalNumberOfVerts`[protected]`

| Definition at line 83 of file vtkXMLPPolyDataReader.h.

vtkIdType vtkXMLPPolyDataReader::TotalNumberOfLines`[protected]`

| Definition at line 84 of file vtkXMLPPolyDataReader.h.

vtkIdType vtkXMLPPolyDataReader::TotalNumberOfStrips`[protected]`

| Definition at line 85 of file vtkXMLPPolyDataReader.h.

vtkIdType vtkXMLPPolyDataReader::TotalNumberOfPolys`[protected]`

| Definition at line 86 of file vtkXMLPPolyDataReader.h.

vtkIdType vtkXMLPPolyDataReader::StartVert`[protected]`

| Definition at line 87 of file vtkXMLPPolyDataReader.h.

vtkIdType vtkXMLPPolyDataReader::StartLine`[protected]`

| Definition at line 88 of file vtkXMLPPolyDataReader.h.

vtkIdType vtkXMLPPolyDataReader::StartStrip`[protected]`

| Definition at line 89 of file vtkXMLPPolyDataReader.h.

vtkIdType vtkXMLPPolyDataReader::StartPoly`[protected]`

| Definition at line 90 of file vtkXMLPPolyDataReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLPPolyDataReader.h